import { request } from '/@/utils/service';
import { UserPageQuery, AddReq, DelReq, EditReq, InfoReq } from '@fast-crud/fast-crud';

export const apiPrefix = '/api/system/job_applications/';
export function GetList(query: UserPageQuery) {
	return request({
		url: '/api/system/question_category/list',
		method: 'get',
		params: {...query,tenant_id:1},
	});
}
export function GetObj(id: InfoReq) {
	return request({
		url: apiPrefix + id,
		method: 'get',
	});
}

export function AddObj(obj: AddReq) {
	return request({
		url: '/api/system/question_category/create',
		method: 'post',
		data: {...obj,tenant_id:1},
	});
}

export function UpdateObj(obj: EditReq) {
	return request({
		url: '/api/system/question_category/update',
		method: 'post',
		data: {...obj,tenant_id:1},
	});
}

export function DelObj(data:any) {
	return request({
		url:`/api/system/question_category/delete`,
		method: 'post',
		data: {...data,tenant_id:1},
	});
}
export function GetPermission() {
    return request({
        url: apiPrefix,
        method: 'get',
    });
}

export function GetcategoryList(query: UserPageQuery) {
	return request({
		url: '/api/system/question_category/list',
		method: 'get',
		params: {...query,tenant_id:1},
	});
}
