import { request } from '/@/utils/service';
import { UserPageQuery, AddReq, EditReq, InfoReq } from '@fast-crud/fast-crud';
import { Session } from '/@/utils/storage';


export function GetDocumentList(query: UserPageQuery) {
  return request({
    url: 'api/system/job/questions',
    method: 'get',
    params: {...query,tenant_id:'1'},
  });
}

export function AddDocument(obj: AddReq) {
  return request({
    url: 'api/system/job/add_question',
    method: 'post',
    data: {...obj,tenant_id:"1"},
  });
}

/* 文档管理编辑 /api/system/document/{id}/*/
export function UpdateDocument(obj: any) {
	return request({
		url: 'api/system/interview_question/update_digital_human',
		method: 'post',
		data: obj,
	});
}

/* 文档管理查看 /api/system/document/{id}/*/
export function GetDocument(id: any) {
	return request({
		url: '/api/system/document/'+id+ '/',
		method: 'get',
	});
}

/* 文档管理删除 /api/system/document/{id}/*/
export function DelDocument(data:any) {
	return request({
		url: 'api/system/job/delete_question',
		method: 'post',
		data
	});
}

// 获取文档树结构
export function GetDocumentTree(query: any) {
  return request({
    url: '/api/job/list',
    method: 'get',
    params: {...query,tenant_id:'1'},
  });
}

// 添加文档分类
export function AddDocumentCategory(data: any) {
  return request({
    url: '/api/system/document-categories/',
    method: 'post',
    data:{...data,tenant_id:'1'}
  });
}

// 更新文档分类
export function UpdateDocumentCategory(data: any) {
  return request({
    url: `/api/system/document-categories/${data.id}/`,
    method: 'put',
    data:{...data,tenant_id:'1'}
  });
}

// 删除文档分类
export function DeleteDocumentCategory(id: any) {
  return request({
    url: `/api/system/document-categories/${id}/`,
    method: 'delete'
  });
}

// 添加获取面试问题的方法
export function GetInterviewQuestions(params: any) {
    return request({
        url: '/api/system/interview_question/list',
        method: 'get',
        params
    });
}

// 添加更新排序的API函数
export function UpdateSequence(data:any) {
  return request({
    url: '/api/system/job/update_question_sequence_numbers',
    method: 'post',
    data
  });
}